import { OnInit } from "@angular/core";
import { AlertService } from "../core/alert.service";
import { FileDropperConfig } from './file-dropper.model';
import * as i0 from "@angular/core";
export declare class FileDropperComponent implements OnInit {
    private alertService;
    fileArray: any[];
    config: FileDropperConfig;
    fileChanged: any;
    border: string;
    styles: any;
    isSingleMode: boolean;
    constructor(alertService: AlertService);
    /**Life cycle hook method */
    ngOnInit(): void;
    /**Method for dragging event */
    dragEnter(event: any): void;
    /**Method for drag over event */
    dragOver(event: any): void;
    /**Method for drag leave event */
    dragLeave(event: any): void;
    /**Method for drop event */
    dropEvent(event: any): void;
    /**Method to list files selected */
    onFileChange(event: any): void;
    /**Method to add files in the array */
    addFiles(fileArray: any): void;
    /**Method to sort the files in asc */
    sortFiles(a: any, b: any): 0 | 1 | -1;
    /**Method tp validate the file size */
    fileSizeAllowed(file: any): boolean;
    /**Method invokes when the drop box is clicked to upload the file */
    clickEvent(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDropperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileDropperComponent, "app-file-dropper", never, { "fileArray": { "alias": "fileArray"; "required": false; }; "config": { "alias": "config"; "required": false; }; "styles": { "alias": "styles"; "required": false; }; }, { "fileChanged": "fileChanged"; }, never, never, false, never>;
}
